Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 36663 - Implement necessary architecture changes
Implement necessary architecture changes
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
4.x
PC Linux
: P1 (vote)
: 4.x
Assigned To: issues@platform
issues@platform
:
Depends on: 32053 32054 32080 36757 36760 36766 45234
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-17 10:45 UTC by Jaroslav Tulach
Modified: 2008-12-22 13:56 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2003-10-17 10:45:56 UTC
There is a set of architecture changes that
NetBeans are asked to implement and there is also
a proposal describing the ideal solution:

http://openide.netbeans.org/proposals/arch/installation.html

In order to proceed with implementation we need to
find out order of steps how we will implement it
and a subset that would be enough for first
version. These steps are sumarized in a page:

http://openide.netbeans.org/proposals/arch/status.html

where a possible impact of these changes is analyzed. 

I am asking for a review of the installation
proposal (even it has been review many times in
past), but more importantly a review of steps
plan. Whether minimal, maximal, optimal solutions
are really minimal, maximal and optimal, whether
the selected solution really satisfies the
requirements and whether the influence on others
is correct.
Comment 1 Jaroslav Tulach 2008-03-21 10:06:41 UTC
All subtasks are fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo